JsonDataBindingSourceCreator.JsonObjectMap (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding.bindingsource
[Groovy] Class JsonDataBindingSourceCreator.JsonObjectMap

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.bindingsource.JsonDataBindingSourceCreator.JsonObjectMap

All Implemented Interfaces:
  java.util.Map

    @groovy.transform.CompileStatic
    class JsonDataBindingSourceCreator.JsonObjectMap

Property Summary
`com.google.gson.Gson` | `gson`
`com.google.gson.JsonObject` | `jsonObject`

Constructor Summary
`JsonDataBindingSourceCreator.JsonObjectMap(com.google.gson.JsonObject jsonObject, com.google.gson.Gson gson)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object o)`
`boolean` | `containsValue(java.lang.Object o)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object o)`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object k, java.lang.Object v)`
`void` | `putAll(java.util.Map map)`
`java.lang.Object` | `remove(java.lang.Object o)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### gson

    com.google.gson.Gson gson

### jsonObject

    com.google.gson.JsonObject jsonObject

Constructor Detail

### JsonDataBindingSourceCreator.JsonObjectMap

    JsonDataBindingSourceCreator.JsonObjectMap(com.google.gson.JsonObject jsonObject, com.google.gson.Gson gson)

Method Detail

### clear

    void clear()

### containsKey

    boolean containsKey(java.lang.Object o)

### containsValue

    boolean containsValue(java.lang.Object o)

### entrySet

    java.util.Set entrySet()

### get

    java.lang.Object get(java.lang.Object o)

### isEmpty

    boolean isEmpty()

### keySet

    java.util.Set keySet()

### put

    java.lang.Object put(java.lang.Object k, java.lang.Object v)

### putAll

    void putAll(java.util.Map map)

### remove

    java.lang.Object remove(java.lang.Object o)

### size

    int size()

### values

    java.util.Collection values()

Groovy Documentation